/**
*DDNS App
* There are different ways implementing an App
*/
var DDNSApp = DDNSApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
DDNSApp.App = function () {
    this.id = 'DDNS';
    this.name = 'DDNS';
    this.version = '6.0.8';
    this.active = false;
    this.menuIcon = '/apps/ddns/images/logo.png?v=6.0.8&';
    this.shortcutIcon = '/apps/ddns/images/logo.png?v=6.0.8&';
    this.entryUrl = '/apps/ddns/ddns.html?v=6.0.8&';
    //this.entryHelpUrl = '/apps/ddns/ddns_help.html';
    var self = this;
    this.DDNSAppWindow = function () { //create app window
        if(UNAS.CheckAppState('DDNS')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'DDNSAppWindow',
            title: UNAS._('DDNS'),
            icon: '/apps/ddns/images/logo_small.png?v=6.0.8&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
			loadMethod: 'xhr',
            contentURL: '/apps/ddns/ddns.html?v=6.0.8&',
            require: {  css: ['/apps/ddns/css/ddns.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("DDNS",'DDNSAppWindow')}
        });
    };
    this.DDNSAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('DDNS');
        UNAS.RemoveMenu('DDNS');
        UNAS.RemoveAppFromGroups('DDNS', 'ControlPanel');
        //UNAS.RemoveAppFromGroups('DDNS', 'Help');
        UNAS.RemoveAppFromApps('DDNS');
    }
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'DDNS', '', this.DDNSAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'DDNS', this.DDNSAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Network', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Network', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('DDNS', UNAS._('DDNS')); //translate menu
        //UNAS.SetShortcutTitle('DDNS', UNAS._('DDNS')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('DDNSAppWindow', UNAS._('DDNS'));
        }
    }
    UNAS.LoadTranslation('/apps/ddns/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.DDNSAppWindow,this.DDNSAppUninstall);
};

new DDNSApp.App(); //Create app
